Bug 729368 - systemd failed to start service no such file or directory
Summary: systemd failed to start service no such file or directory
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 17:28 UTC by Jóhann B. Guðmundsson
Modified: 2013-02-26 15:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-26 15:12:06 UTC


Attachments (Terms of Use)

Description Jóhann B. Guðmundsson 2011-08-09 17:28:05 UTC
Description of problem:

There is a systemd startup error which I do believe is caused because you guys linked dbus.target into anaconda.target.want directory since there is no such thing as an dbus.target hence the error

However there is a dbus.socket which should be pulled in via the socket target but if it does not then you should link to that instead, instead of the nonexisting dbus.target

I also noticed when I ran systemd-analyze blame is that udev-settle is running and is highest offender afaik nothing should rely on udev-settle in theory if it does, it's a hack or it's broken and I had disabled it in my poc package for live images to run so I ask if there is any particular reason on why you are running it?  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jóhann B. Guðmundsson 2011-08-09 17:31:04 UTC
Oh and I also noticed that you are running systemd-readahead-collect.service any particular reason for doing that I also disable that in my poc package since running readhead on live images dont service any purpose.

Comment 2 Jóhann B. Guðmundsson 2011-08-09 20:12:37 UTC
Note this is fixed in this patch http://www.redhat.com/archives/anaconda-devel-list/2011-August/msg00105.html

systemd-analyze blame on Fedora-DVD Alpha RC3 looked like for Anaconda...

3693ms udev-settle.service
1380ms fedora-storage-init-late.service
1059ms udev-trigger.service
 558ms systemd-tmpfiles-setup.service
 531ms NetworkManager.service
 459ms dbus.service
 442ms udev.service
 290ms rsyslog.service
 281ms mdmonitor-takeover.service
 264ms var-run.mount
 259ms tmp.mount
 230ms remount-rootfs.service
 193ms systemd-readahead-collect.service
 181ms systemd-vconsole-setup.service
 174ms lvm2-monitor.service
 170ms fedora-autoswap.service
 139ms systemd-sysctl.service
 
Now I noticed that there is for improvement..

Nothing should rely on udev-settle in theory if it does, it's a hack or it's broken ( it probably needs to be looked into if anaconda depends on this )
-3693ms udev-settle.service

Not needed because we are running off an image
-1380ms fedora-storage-init-late.service

MD raid related services are not needed since images are not running raid devices
-281ms mdmonitor-takeover.service

Readahead does not service purpose running here..
-193ms systemd-readahead-collect.service

Not needed because we are running off an image
-174ms lvm2-monitor.service

Old Fedora/Rhel-specific cruft and Bill might have killed it at the time of this writing if not it should be killed at somepoint...
-170ms fedora-autoswap.service

3693+1380+281+193+174+170 = 5891ms that could be shaved off that boot time :) 

A test patch that does this could be done to see improvements :)

ln -sf /dev/null /etc/systemd/system/udev-settle.service
ln -sf /dev/null /etc/systemd/system/fedora-storage-init-late.service
ln -sf /dev/null /etc/systemd/system/mdmonitor-takeover.service
ln -sf /dev/null /etc/systemd/system/systemd-readahead-collect.service
ln -sf /dev/null /etc/systemd/system/lvm2-monitor.service
ln -sf /dev/null /etc/systemd/system/fedora-autoswap.service

Comment 3 Fedora End Of Life 2013-01-16 20:53:21 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2013-02-26 15:12:08 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.